Skip to content
OpenPostDocs
OpenPostDocs
Billing

Confirm the first workspace and purchase

Creates the signed-in Owner's first Workspace and one checkout attempt bound to the confirmed purchase choice. Exact retries resume the same attempt.

POST/billing/welcome

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/billing/welcome" \  -H "Content-Type: application/json" \  -d '{    "billing_period": "monthly",    "plan_id": "string",    "purchase_choice_token": "string",    "workspace_name": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/ConfirmFirstWorkspacePurchaseOutputBody.json",  "checkout": {    "$schema": "https://example.com/api/v1/schemas/BillingURLResponse.json",    "billing_period": "string",    "client_token": "string",    "customer_email": "string",    "environment": "string",    "id": "string",    "plan_id": "string",    "price_ids": {      "property1": "string",      "property2": "string"    },    "provider_price_id": "string",    "purpose": "string",    "return_url": "string",    "trial_ends_at": "string",    "url": "string",    "used_generic_fallback": true,    "workspace_id": "string"  },  "organization_id": "string",  "workspace_id": "string",  "workspace_name": "string"}